var ARIAdvancedList = new Class({
	options: {
		selectId: null,
		hiddenId: null,
		splitter: ';'
	},
	
	initialize: function(options) {
		this.setOptions(options);
		
		var self = this;
		$(this.options.selectId).addEvent('change', function(event) {
			var event = new Event(event),
				ctrl = event.target,
				values = [];
			
			
			$(ctrl).getElements('option').each(function(opt) {
				if (opt.selected)
					values.push(opt.value);
					
				$(self.options.hiddenId).value = values.join(self.options.splitter);
			});
		});
	}
});
ARIAdvancedList.implement(new Options);